import { Request, RequestHandler } from 'express';
export interface GraphqlServerMiddlewareConfig {
    middleware?: RequestHandler;
    fetchOptions?: any;
    buildHeaders?: (req: Request, name: string, type: string) => any;
    onQueryResponse?: any;
    onQueryError?: any;
    onMutationResponse?: any;
    onMutationError?: any;
}
export default function createServerMiddleware(graphqlServer: string, queries: Map<string, any>, mutations: Map<string, any>, config?: GraphqlServerMiddlewareConfig): import("express-serve-static-core").Express;
//# sourceMappingURL=index.d.ts.map